CREATE procedure [C6MartPeriodico].[SP_DQ_BonificaDati_pre_selective]
AS
BEGIN
-- select count(*) from C6MartPeriodico.contrattosei
-- BONIFICA CARATTERI ANOMALI
update c6martperiodico.contrattosei set indirizzo ='VIA FRANGIPANE, TR.2, N.6' where cod_fiscale ='BRGGNN32A02H224F' and INDIRIZZO=	'VIA FRANGIPANE, TR.2^, N.6'
update c6martperiodico.contrattosei set indirizzo ='VIA POSTIERLA N 31/C' where cod_fiscale ='CCCRNI39T54I381U' and INDIRIZZO=	'VIA POSTIERLA N¢ 31/C'
update c6martperiodico.contrattosei set indirizzo ='VIA DEGLI OPERAI N 25' where cod_fiscale ='DTNNZR56M23D653T' and INDIRIZZO=	'VIA DEGLI OPERAI N¢ 25'
update c6martperiodico.contrattosei set indirizzo ='VIA F.SICILIANI N 1' where cod_fiscale ='FRRTDR64M26A638Q' and INDIRIZZO=	'VIA F.SICILIANI N¢ 1'
update c6martperiodico.contrattosei set Citta 	  ='VALLA'' DI RIESE PIO X' where cod_fiscale ='NDRTZN81A03C111N' and Citta=          'VALLA'' DI RIESE PIO X¢'
update c6martperiodico.contrattosei set indirizzo ='VIA A.MOTTA N 61' where cod_fiscale ='TRRCRL47S28L667C' and INDIRIZZO=	'VIA A.MOTTA N¢ 61'
update c6martperiodico.contrattosei set indirizzo ='VIA RIOMAGGIORE N 1' where cod_fiscale ='CRPDNC37C69L689V' and INDIRIZZO=	'VIA RIOMAGGIORE N¢1'
update c6martperiodico.contrattosei set indirizzo ='VIA SANTI N 17' where cod_fiscale ='RNALRT64R05G337D' and INDIRIZZO=	'VIA SANTI N¢ 17'
update c6martperiodico.contrattosei set indirizzo ='VIA M.DELLA LIBERT'' 13' where cod_fiscale ='GLPMRA71A16G856Z' and INDIRIZZO=	'VIA M.DELLA LIBERTÀ 13'
update c6martperiodico.contrattosei set indirizzo ='LOCALITA'' MONETA' where cod_fiscale ='VLLCNZ58P47L219Z' and INDIRIZZO=	'LOCALITÀ MONETA'
update c6martperiodico.contrattosei set Citta 	  ='FORLI''' where cod_fiscale ='GHTDNC38S29D704K' and Citta=          'FORLÌ'
update c6martperiodico.contrattosei
set presso = 'KOSTORIS e ASSOC.-STUDIO LEGALE'
where rete = 'F'
and cod_fiscale = 'KSTLRT60R14L424G'
and presso = 'KOSTORIS & ASSOC.-STUDIO LEGALE'
update c6martperiodico.contrattosei
set indirizzo = 'VIA VINCENZO CIARDO N. 3'
where rete = 'S'
and cod_fiscale = 'CNGMTR43S59E506C'
and indirizzo = 'VIA VINCENZO CIARDO N¢ 3'
update c6martperiodico.contrattosei
set indirizzo = 'VIA VINCENZO CIARDO N. 3'
where rete = 'S'
and cod_fiscale = 'CNGRSO46T44E506U'
and indirizzo = 'VIA VINCENZO CIARDO N¢ 3'
update c6martperiodico.contrattosei
set indirizzo = 'VIA VINCENZO BELLINI N.6'
where rete = 'S'
and cod_fiscale = 'CRBMLD59M69C351S'
and indirizzo = 'VIA VINCENZO BELLINI N¢6'
update c6martperiodico.contrattosei
set indirizzo = 'VIA SS 18 I TR. N. 11'
where rete = 'S'
and cod_fiscale = 'LZZCRC51P41B666S'
and indirizzo = 'VIA SS 18 I TR. N¢ 11'
update c6martperiodico.contrattosei
set indirizzo = 'VIA DELL''IMPRUNETA N. 26'
where rete = 'S'
and cod_fiscale = 'RMNMRA69D13C351J'
and indirizzo = 'VIA DELL''IMPRUNETA N¢ 26'
update c6martperiodico.contrattosei
set indirizzo = 'LOCALITA'' MALTRAVERSO, 13'
where rete = 'F'
and cod_fiscale = 'PRSRNZ59B21C847E'
and indirizzo = 'LOCALITÀ MALTRAVERSO, 13'
update c6martperiodico.contrattosei
set citta = 'CITTA'' SANTANGELO'
where rete = 'S'
and cod_fiscale = 'DFRNTN56D20A120O'
and citta = 'CITTÀ SANTANGELO'
update c6martperiodico.contrattosei
set indirizzo = 'VIA MICHELE PIETRAVALLE 85 R'
where rete = 'F'
and cod_fiscale = 'DLLGST40D14B963Q'
and indirizzo = 'VIA MICHELE PIETRAVALLE 85 ÇR'
update c6martperiodico.contrattosei
set indirizzo = 'VIA MICHELE PIETRAVALLE 85 B'
where rete = 'F'
and cod_fiscale = 'NZZSRA43S52F839U'
and indirizzo = 'VIA MICHELE PIETRAVALLE 85 ÇB'
update c6martperiodico.contrattosei
set indirizzo = 'VIA TRENTO 14 - 27 SC D'
where rete = 'S'
and cod_fiscale = 'BOXFNC95S22D969G'
and indirizzo = 'VIA TRENTO 14 Ç 27 SC D'
update c6martperiodico.contrattosei
set indirizzo = 'VCLO POME'' 14'
where rete = 'F'
and cod_fiscale = 'PRNNRC48D09E801B'
and indirizzo = 'VCLO POMÈ 14'
update c6martperiodico.contrattosei
set indirizzo = 'LOC.MASARE'' COL BADIOT'
where rete = 'S'
and cod_fiscale = 'CRDNZE48S13E490Z'
and indirizzo = 'LOC.MASARÈ COL BADIOT'
update c6martperiodico.contrattosei
set indirizzo = 'VIA ROMBO'' 37'
where rete = 'F'
and cod_fiscale = 'STRGLG70H15H355F'
and indirizzo = 'VIA ROMBÒ 37'
--inizio intervento: 17/07/2015 LMaggi modifica carattere anomalo presente nel campo indirizzo e del campo 'presso' della tb c6martperiodico.contrattosei
update c6martperiodico.contrattosei
set indirizzo = 'VIA BEATO ANGELICO N. 4'
where rete = 'F'
and cod_fiscale = 'CLLPLA53R43G148Z'
and indirizzo = 'VIA BEATO ANGELICO N¢ 4'
update c6martperiodico.contrattosei
set indirizzo = 'LOCAL.FORNI N. 2'
where rete = 'F'
and cod_fiscale = 'DNSVTR45B04A940D'
and indirizzo = 'LOCAL.FORNI N¢ 2'
update c6martperiodico.contrattosei
set indirizzo = 'VIA DEL CORMORANO N. 21'
where rete = 'F'
and cod_fiscale = 'SVVSRA75L43L117F'
and indirizzo = 'VIA DEL CORMORANO N¢ 21'
update c6martperiodico.contrattosei
set indirizzo = 'BORGO RICCIO DA PARMA N.50'
where rete = 'S'
and cod_fiscale = 'MNTSFN57B10G337O'
and indirizzo = 'BORGO RICCIO DA PARMA N¢50'
update c6martperiodico.contrattosei
set indirizzo = 'VIA LEONE IV N. 38'
where rete = 'S'
and cod_fiscale = 'RMNBMN37L23C351J'
and indirizzo = 'VIA LEONE IV N¢ 38'
update c6martperiodico.contrattosei
set indirizzo = 'VIA MARCHETTI N. 27'
where rete = 'S'
and cod_fiscale = 'SLRRLF40D17L689Q'
and indirizzo = 'VIA MARCHETTI N¢ 27'
update c6martperiodico.contrattosei
set indirizzo = 'VIA ROCCA N. 8'
where rete = 'S'
and cod_fiscale = 'ZMBRNG35C70H682I'
and indirizzo = 'VIA ROCCA N¢ 8'
update c6martperiodico.contrattosei
set indirizzo = 'LOCALITA'' PERA, 1'
where rete = 'F'
and cod_fiscale = 'MCHFST58P24C372Z'
and indirizzo = 'LOCALITÀ PERA, 1'
update c6martperiodico.contrattosei
set indirizzo = 'LOCALITA'' RONCO BALDELLO 1'
where rete = 'F'
and cod_fiscale = 'SLNRRT61A25A794Y'
and indirizzo = 'LOCALITÀ RONCO BALDELLO 1'
update c6martperiodico.contrattosei
set presso = 'STEFANIA BLE'''
where rete = 'S'
and cod_fiscale = 'DDSCNN57S54Z110A'
and presso = 'STEFANIA BLÈ'
--9/2/2016 - segnalazioni su [C6MartPeriodico].[tb_SegnalazioniDataQuality]
update c6martperiodico.contrattosei
set indirizzo = 'VIA ARCUENTU 9 ESP.2'
where rete = 'F'
and cod_fiscale = 'MNNNMR69M46L093G'
and indirizzo = 'VIA ARCUENTU 9 ESP.2 ¢'
update c6martperiodico.contrattosei
set indirizzo = 'PZZA XVIII MAGGIO 1944 N. 8'
where rete = 'S'
and cod_fiscale = 'SPSRFL60H27F839X'
and indirizzo = 'PZZA XVIII MAGGIO 1944 N¢ 8'
update c6martperiodico.contrattosei
set indirizzo = 'V.GOZZANO 1ma TRAVERSA,3-S.TERENZO-'
where rete = 'S'
and cod_fiscale = 'LNDMSM57S30E463S'
and indirizzo = 'V.GOZZANO 1ª TRAVERSA,3-S.TERENZO-'
update c6martperiodico.contrattosei
set indirizzo = 'VIA BERSO'' RIO, 12'
where rete = 'S'
and cod_fiscale = 'PRTFBA61H20A269D'
and indirizzo = 'VIA BERSÒ RIO, 12'
--27/4/2016 - segnalazioni su [C6MartPeriodico].[tb_SegnalazioniDataQuality]
update c6martperiodico.contrattosei
set indirizzo = 'VIA S.LUCIA 64 M'
where rete = 'S'
and cod_fiscale = 'LGRMTN50P67Z110T'
and indirizzo = 'VIA S:LUCIA 64 M'
update c6martperiodico.anag_clienti
set cognome = 'CONDRO'''
where rete = 'S'
and cod_fiscale = 'CNDLNU88T59I138R'
and cognome = 'CONDRÒ'
--11/07/2016 - segnalazioni su [C6MartPeriodico].[tb_SegnalazioniDataQuality]
update C6MartPeriodico.ContrattoSEI
 set indirizzo = 'VIA MORICI N. 4/A' 
 where cod_fiscale = 'MZZDNL76T68G273F' 
 and indirizzo = 'VIA MORICI N¢ 4/A'
update C6MartPeriodico.ContrattoSEI
 set indirizzo = 'VIA IV NOVEMBRE N. 22' 
 where cod_fiscale = 'BRRNGL44L52C145G' 
 and indirizzo = 'VIA IV NOVEMBRE N¢ 22'
update C6MartPeriodico.ContrattoSEI
 set indirizzo = 'VIA IV NOVEMBRE N. 22' 
 where cod_fiscale = 'FRRPLA40L09B034B' 
 and indirizzo = 'VIA IV NOVEMBRE N¢ 22'
update C6MartPeriodico.ContrattoSEI
 set indirizzo = 'VIA CIACCIO MONTALTO N.3' 
 where cod_fiscale = 'LNNNNL64A66I153M' 
 and indirizzo = 'VIA CIACCIO MONTALTO N¢3'
update C6MartPeriodico.ContrattoSEI
 set indirizzo = 'VIA CARLO CARRA'' 4 INT 8' 
 where cod_fiscale = 'MNNLNE93E50G702X' 
 and indirizzo = 'VIA CARLO CARRÀ 4 INT 8'
update C6MartPeriodico.ContrattoSEI 
set indirizzo = 'LOCALITA'' SETTA, 120' 
where cod_fiscale = 'BRSFNC78R57G062Z' 
and indirizzo = 'LOCALITÀ SETTA, 120'
--20/10/2016 - segnalazioni su [C6MartPeriodico].[tb_SegnalazioniDataQuality]
update C6MartPeriodico.ContrattoSEI 
set indirizzo = 'VIA I MAGGIO 40' 
where cod_fiscale = 'LMNTNQ47L46Z216U'
and indirizzo = 'VIA I¢ MAGGIO 40'
update C6MartPeriodico.ContrattoSEI 
set indirizzo = 'VIA A/POD.SCOPETINO N.295' 
where cod_fiscale = 'MRLPRZ50C65D969T'
and indirizzo = 'VIA A/POD.SCOPETINO N¢ 295'
--27/10/2016 - segnalazione dq ID 3
update C6MartPeriodico.ContrattoSEI 
set cap = '10044' 
where cod_fiscale = 'BNCGRG66C22C344P'
---------------------------------------------------------------------------
--inizio intervento FCianfa 27/07/2015
update c6martperiodico.contrattosei 
set indirizzo ='VIA CASEVECCHIE N 26' 
where rete = 'F'
and cod_fiscale ='NNNMRZ60P16D653G' 
and INDIRIZZO=	'VIA CASEVECCHIE N¦ 26'
--fine FCianfa
--inizio intervento: 05/02/2015 FCianfa modifica carattere anomalo presente nel campo cognome della tb c6martperiodico.anag_clienti
update c6martperiodico.anag_clienti
set cognome = 'S.A.P.I. SOCIETA'' AMM.NE'
where rete = 'S'
and cod_fiscale = '01028041000'
and cognome = 'S.A.P.I. SOCIETÀ AMM.NE'
--fine intervento: 05/02/2015 FCianfa modifica carattere anomalo presente nel campo cognome della tb c6martperiodico.anag_clienti
-- BONIFICA INDIRIZZI EMAIL FORMALMENTE ERRATI
update c6martperiodico.contrattosei
set email = 'pciprandi@tiscali.it'
where rete = 'F'
and cod_fiscale = 'CPRPLA44L30H373S'
and email = 'pciprandi,@tiscali.it'
--20/10/2016 - segnalazioni su [C6MartPeriodico].[tb_SegnalazioniDataQuality]
update c6martperiodico.contrattosei
set email = 'n.capezzuoli@guicciardini.magni.it'
where rete = 'F'
and cod_fiscale = 'DNTNRN68L64A881H'
and email = 'n.capezzuoli°@guicciardini.magni.it'
--Bonifica doppi apici sul campo cod aggregato (il problema è causato dal batch di caricamento rischio_prometeia per i clienti
--che hanno un nome progetto nell'area investimento che contiene il carattere doppio apice "
--(bonifica predisposta per la trimestrale di dicembre 2015 in attesa di individuazione anomalia software)
--segnalazione dq id 23 del 26/1/2016
update C6MartPeriodico.RISCHIO_AGGREGATO
set COD_AGGREG = replace(replace(rischio_prod.COD_AGGREG, '"', ''),'\','"')
from 
C6MartPeriodico.RISCHIO_AGGREGATO RISCHIO_PROD 
left join C6MartPeriodico.PATRIMONIO_BF PATRBF 
on  PATRBF.RETE= RISCHIO_PROD.rete
AND PATRBF.COD_FISCALE= RISCHIO_PROD.cod_fiscale
where 
 RISCHIO_PROD.COD_AGGREG like '"%'
--------------------------------------------------------
end